udp_internals(3)

NAME
udp_internals - Internal UDP functions

SYNOPSIS

  Functions

void nfq_udp_compute_checksum_ipv4 (struct udphdr *udph, struct iphdr *iph)
void nfq_udp_compute_checksum_ipv6 (struct udphdr *udph, struct ip6_hdr *ip6h)

Detailed Description

Most user-space programs will never need these.

Function Documentation

  void nfq_udp_compute_checksum_ipv4 (struct udphdr * udph, struct iphdr * iph)
nfq_udp_compute_checksum_ipv4 - sets up the UDP checksum in a UDP/IPv4 packet

Parameters
    udph pointer to the UDP header
    iph pointer to the IPv4 header

Note
    nfq_udp_mangle_ipv4() invokes this function. As long as developers always use nfq_udp_mangle_ipv4 when changing the content of a UDP message, there is no need to call nfq_udp_compute_checksum_ipv4.

Definition at line 108 of file udp.c.

  void nfq_udp_compute_checksum_ipv6 (struct udphdr * udph, struct ip6_hdr * ip6h)
nfq_udp_compute_checksum_ipv6 - sets up the UDP checksum in a UDP/IPv6 packet

Parameters
    udph pointer to the UDP header
    ip6h pointer to the IPv6 header

Note
    nfq_udp_mangle_ipv6() invokes this function. As long as developers always use nfq_udp_mangle_ipv6 when changing the content of a UDP message, there is no need to call nfq_udp_compute_checksum_ipv6.

Definition at line 126 of file udp.c.

Author

Generated automatically by Doxygen for libnetfilter_queue from the source code.